package com.example.cmknowledgegraph;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import Schema.OperaSchema;

public class LoginActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);

        final EditText tel_edit=findViewById(R.id.id_edit);
        final EditText password_edit=findViewById(R.id.password_edit);

        /**
         * 登录按钮，传递参数：手机号(int)、密码(string)
         */
        Button login_btn=findViewById(R.id.login_btn);
        login_btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                //获取手机号和密码
                String tel=tel_edit.getText().toString().trim();
                String password=password_edit.getText().toString();
                //调用数据库类中的方法进行登录
                boolean isLogin= OperaSchema.longin(tel,password);
                /**
                 * 登陆成功，返回上一个界面，即个人中心界面，刷新个人中心界面
                 * 即，改变登录按钮为欢迎按钮
                 */
                if(isLogin) {
                        finish();//返回个人中心Activity
                    //刷新个人中心Activity

                }else{//登陆失败提醒
                    AlertDialog.Builder builder = new AlertDialog.Builder(LoginActivity.this);
                    builder.setTitle("登陆提醒");// 设置标题
                    builder.setMessage("登陆失败");// 为对话框设置内容
                    builder.create().show();// 使用show()方法显示对话框
                }
            }
        });

        //TextView注册跳转
        TextView register_text=findViewById(R.id.register_text);
        register_text.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //跳转到注册页面
                Intent intent=new Intent();
                intent.setClass(LoginActivity.this,RegisterActivity.class);
                startActivity(intent);
            }
        });
    }


}
